# Tcl package index file

proc LoadLibraryOsgeo { dir basename } {
    #must set the environment variable PROJ_LIB to find 'proj.db' (its database of projections and coordinate systems)
    set ::env(PROJ_LIB) $dir

    package require objarray
    if { $::tcl_platform(pointerSize) == 8} {
        set bits 64
    } else {
        set bits 32
    }
    set pref ""
    if { $::tcl_platform(platform) == "unix"} {
        set pref "lib"
    }

    set library ${pref}${basename}_${bits}[info sharedlibextension]
    load [file join $dir $library] $basename
}

package ifneeded gdalconst 2.0 [list LoadLibraryOsgeo $dir gdalconst]
package ifneeded gdal 2.0 [list LoadLibraryOsgeo $dir gdal]
package ifneeded ogr 2.0 [list LoadLibraryOsgeo $dir ogr]
package ifneeded osr 2.0 [list LoadLibraryOsgeo $dir osr]
